import { IConnectorConfiguration } from '../../configurations-definitions.interface';
import { IStackEntity } from '../../entities-definitions.interface';
/**
 * @stable [18.09.2018]
 * @param {string} section
 * @param {Map<string, IConnectorConfiguration>} appSections
 * @returns {string}
 */
export declare const findRoutePathBySection: (section: string, appSections: Map<string, IConnectorConfiguration<{}, {}>>) => string;
/**
 * @stable [18.09.2018]
 * @param {IStackEntity} stackEntity
 * @param {Map<string, IConnectorConfiguration>} appSections
 * @param {string} currentSection
 * @returns {Set<string>}
 */
export declare const toAllDependentRoutePaths: (stackEntity: IStackEntity, appSections: Map<string, IConnectorConfiguration<{}, {}>>, currentSection: string) => Set<string>;
