import { AnyT } from '../../../definitions.interface';
import { VueNodeT, VueCreateElementFactoryT } from '../../../vue-definitions.interface';
import { VueBaseTextField } from '../textfield/vue-index';
import { IVueNumberFieldProps } from './vue-numberfield.interface';
export declare class VueNumberField extends VueBaseTextField implements IVueNumberFieldProps {
    /**
     * @stable [21.10.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    render(createElement: VueCreateElementFactoryT): VueNodeT;
    /**
     * @stable [19.01.2019]
     * @returns {string}
     */
    getFieldClassName(): string;
    /**
     * @stable [19.01.2019]
     * @param {AnyT} newValue
     * @returns {AnyT}
     */
    protected toEmittedValue(newValue: AnyT): AnyT;
}
