import { BaseTextField } from '../textfield';
import { ITimeField, ITimeFieldInternalState, ITimeFieldInternalProps } from './timefield.interface';
export declare class TimeField extends BaseTextField<TimeField, ITimeFieldInternalProps, ITimeFieldInternalState> implements ITimeField {
    protected getFieldMask(): Array<string | RegExp>;
    protected getFieldPattern(): string;
    private readonly dateTimeSettings;
}
