"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_index_1 = require("./filefield/vue-index");
var vue_textfield_interface_1 = require("./textfield/vue-textfield.interface");
var vue_numberfield_interface_1 = require("./numberfield/vue-numberfield.interface");
var vue_index_2 = require("./select/vue-index");
var BIND_CONTAINER = ':bindContainer="bindContainer"';
var BIND_STORE = ':bindStore="bindStore.entity"';
var FIELDS = [
    vue_textfield_interface_1.VUE_TEXT_FIELD_NAME,
    vue_index_1.VUE_FILE_FIELD_NAME,
    vue_index_2.VUE_SELECT_NAME,
    vue_numberfield_interface_1.VUE_NUMBER_FIELD_NAME,
    vue_index_1.VUE_MULTI_FILE_FIELD_NAME
];
/**
 * @stable [06.01.2018]
 */
exports.vueContainerFieldConfigFactory = function (config) { return (__assign({}, config, { template: (function () {
        var template = config.template;
        FIELDS.forEach(function (fieldName) { return template = template
            .replace(new RegExp(fieldName + " ", 'g'), fieldName + " " + BIND_CONTAINER + " " + BIND_STORE + " "); });
        return template;
    })() })); };
//# sourceMappingURL=vue-field.support.js.map