/// <reference types="react" />
import { IEntity } from '../../definitions.interface';
import { BaseList } from './base-list.component';
import { IListProps } from '../../props-definitions.interface';
export declare class List extends BaseList<List, IListProps> {
    /**
     * [30.10.2018]
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable [13.09.2018]
     * @param {IEntity} entity
     * @param {number} index
     * @returns {JSX.Element}
     */
    protected getItem(entity: IEntity, index: number): JSX.Element;
}
