"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var base_1 = require("../../base");
var SimpleList = /** @class */ (function (_super) {
    __extends(SimpleList, _super);
    function SimpleList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [14.01.2019]
     * @returns {JSX.Element}
     */
    SimpleList.prototype.render = function () {
        var props = this.props;
        return (React.createElement("ul", { ref: 'self', className: util_1.toClassName('rac-list', props.full !== false && 'rac-flex-full', props.className) }, props.children));
    };
    return SimpleList;
}(base_1.BaseComponent));
exports.SimpleList = SimpleList;
//# sourceMappingURL=simple-list.component.js.map