"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../../util");
var base_1 = require("../../base");
var ListWrapper = /** @class */ (function (_super) {
    __extends(ListWrapper, _super);
    function ListWrapper() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [13.10.2018]
     * @returns {React.ReactNode}
     */
    ListWrapper.prototype.render = function () {
        var props = this.props;
        var list = props.list;
        return (util_1.orNull(!R.isNil(list.data) && !list.progress, function () { return util_1.calc(props.content); }));
    };
    return ListWrapper;
}(base_1.BaseComponent));
exports.ListWrapper = ListWrapper;
//# sourceMappingURL=list-wrapper.component.js.map