import * as React from 'react';
import { ReactElementT } from '../definitions.interface';
/**
 * @stable [14.06.2018]
 * @param {T} o
 * @returns {T}
 */
export declare const clone: <T>(o: T) => T;
export declare type RenderPredicateT = (child: ReactElementT) => boolean;
export declare type ClonedComponentT = ReactElementT | React.Component;
export declare function cloneNodes<TProps>(component: ClonedComponentT, mergedProps: TProps | ((component: ClonedComponentT) => TProps), mergePropsPredicate: RenderPredicateT, childrenMap?: Map<ReactElementT, string>, renderPredicate?: RenderPredicateT): React.ReactChild[];
