import { INumberValueWrapper } from '../definitions.interface';
/**
 * @stable [11.06.2018]
 * @param {boolean} onlyChars
 * @returns {string}
 */
export declare function uuid(onlyChars?: boolean): string;
/**
 * @stable [14.08.2018]
 * @param {TObject} objects
 * @returns {TObject[]}
 */
export declare const makeUniqueObjects: <TObject extends INumberValueWrapper = INumberValueWrapper>(...objects: TObject[]) => TObject[];
