import { IApiEntity } from '../entities-definitions.interface';
import { IEntity } from '../definitions.interface';
/**
 * @stable [17.01.2019]
 * @param {TEntity} changes
 * @param {TEntity} entity
 * @param {TEntity} originalEntity
 * @param {string} operationId
 * @returns {IApiEntity<TEntity extends IEntity>}
 */
export declare const apiEntityFactory: <TEntity extends IEntity = IEntity>(changes: TEntity, entity?: TEntity, originalEntity?: TEntity, operationId?: string) => IApiEntity<TEntity>;
