import { IUniversalComponentPlugin, IUniversalComponent } from '../../entities-definitions.interface';
export declare class AutoScrollTopPlugin implements IUniversalComponentPlugin {
    private component;
    private domAccessor;
    private contentHeight;
    /**
     * @stable [27.10.2018]
     * @param {IUniversalComponent} component
     */
    constructor(component: IUniversalComponent);
    /**
     * @stable [27.10.2018]
     * @param {Readonly<{}>} prevProps
     * @param {Readonly<{}>} prevState
     */
    componentDidUpdate(prevProps: Readonly<{}>, prevState: Readonly<{}>): void;
    /**
     * @stable [27.10.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [01.12.2018]
     */
    private updateScrollTop;
}
