import { IEffectsAction } from 'redux-effects-promise';
import { IEntity } from '../../definitions.interface';
import { IEditedListMiddlewareConfig } from './middleware.interface';
/**
 * @stable [02.07.2018]
 * @param {IEditedListMiddlewareConfig<TEntity extends IEntity, TApplicationState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeCreateEntityMiddleware: <TEntity extends IEntity, TApplicationState>(config: IEditedListMiddlewareConfig<TEntity, TApplicationState>) => IEffectsAction[];
/**
 * @stable [02.07.2018]
 * @param {IEditedListMiddlewareConfig<TEntity extends IEntity, TApplicationState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeSelectEntityMiddleware: <TEntity extends IEntity, TApplicationState>(config: IEditedListMiddlewareConfig<TEntity, TApplicationState>) => IEffectsAction[];
/**
 * @stable [27.12.2018]
 * @param {IEditedListMiddlewareConfig<TEntity extends IEntity, TApplicationState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeUpdateEntityMiddleware: <TEntity extends IEntity, TApplicationState>(config: IEditedListMiddlewareConfig<TEntity, TApplicationState>) => IEffectsAction[];
