import { IEffectsAction } from 'redux-effects-promise';
import { IRefreshedListMiddlewareConfig, IRefreshedListOnChangeFormMiddlewareConfig } from './middleware.interface';
/**
 * @stable [13.09.2018]
 * @param {IRefreshedListMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
export declare const makeRefreshedListMiddleware: (config: IRefreshedListMiddlewareConfig) => IEffectsAction[];
/**
 * @stable [16.10.2018]
 * @param {IRefreshedListOnChangeFormMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
export declare const makeRefreshedListOnChangeFormMiddleware: (config: IRefreshedListOnChangeFormMiddlewareConfig) => IEffectsAction[];
