"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var inversify_1 = require("inversify");
var transport_factory_1 = require("./transport.factory");
var util_1 = require("../util");
var RestTransportFactory = /** @class */ (function (_super) {
    __extends(RestTransportFactory, _super);
    function RestTransportFactory() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RestTransportFactory.prototype.getRequestData = function (req) {
        return req.formData || util_1.orDefault(!R.isNil(req.params), function () { return util_1.defValuesFilter(req.params); }, {}); // TODO
    };
    RestTransportFactory.prototype.getResponseData = function (res) {
        return { data: { result: res.data } };
    };
    RestTransportFactory = __decorate([
        inversify_1.injectable()
    ], RestTransportFactory);
    return RestTransportFactory;
}(transport_factory_1.TransportFactory));
exports.RestTransportFactory = RestTransportFactory;
//# sourceMappingURL=rest-transport.factory.js.map